Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report
Class JRObjectTemplate

    java.lang.Object
      JetRptObject
          jet.report.JRObjectTemplate

    public abstract class JRObjectTemplate

extends JetRptObject

The JRObjectTemplate contains several predefined standarad JRpeort Object (which is used to compose the report) Properties such as X, Y, Height and Width, etc.

Field Summary
`static java.lang.String` | `ARCSHAPE_STL`
`JetColor` | `backColor` The property named "Background" for background color.
`static java.lang.String` | `BOX_STL`
`static java.lang.String` | `CHARTPLATFORM_STL`
`JetString` | `Class`
`JetEnumeration` | `clear`
`static java.lang.String` | `COLUMN_STL`
`JetNumber` | `columnIndex`
`static java.lang.String` | `CTAGGFIELD_STL`
`static java.lang.String` | `CTCROSSTAB_STL`
`static java.lang.String` | `CTDBFIELD_STL`
`static java.lang.String` | `CTTEXTFIELD_STL`
`static java.lang.String` | `DATAOBJDETAILPANEL_STL`
`static java.lang.String` | `DATAOBJECT_STL`
`static java.lang.String` | `DATAOBJFOOTERPANEL_STL`
`static java.lang.String` | `DATAOBJGRPFOOTERPANEL_STL`
`static java.lang.String` | `DATAOBJGRPHEADERPANEL_STL`
`static java.lang.String` | `DATAOBJHEADERPANEL_STL`
`static java.lang.String` | `DBFIELD_STL`
`static java.lang.String` | `DETAILPANEL_STL`
`JetEnumeration` | `display`
`JetBoolean` | `exportToCSV`
`JetBoolean` | `exportToDHTML`
`JetBoolean` | `exportToXLS`
`JetString` | `externalCSSClassValue`
`JetEnumeration` | `Float`
`static int` | `FLOW_CLEAR_BOTH` Deprecated.
`static int` | `FLOW_CLEAR_LEFT` Deprecated.
`static int` | `FLOW_CLEAR_NONE` Deprecated.
`static int` | `FLOW_CLEAR_RIGHT` Deprecated.
`static int` | `FLOW_DIRECTION_BTT` Deprecated.
`static int` | `FLOW_DIRECTION_LTR` Deprecated.
`static int` | `FLOW_DIRECTION_RTL` Deprecated.
`static int` | `FLOW_DIRECTION_TTB` Deprecated.
`static int` | `FLOW_DISPLAY_BLOCK` Deprecated.
`static int` | `FLOW_DISPLAY_INLINE` Deprecated.
`static int` | `FLOW_DISPLAY_NONE` Deprecated.
`static int` | `FLOW_FLOAT_LEFT` Deprecated.
`static int` | `FLOW_FLOAT_NONE` Deprecated.
`static int` | `FLOW_FLOAT_RIGHT` Deprecated.
`static int` | `FLOW_POSITION_ABSOLUTE` Deprecated.
`static int` | `FLOW_POSITION_RELATIVE` Deprecated.
`static int` | `FLOW_POSITION_STATIC` Deprecated.
`static java.lang.String` | `GROUPFOOTERPANEL_STL`
`static java.lang.String` | `GROUPHEADERPANEL_STL`
`JetUnitNumber` | `height`
`JetString` | `id`
`static java.lang.String` | `IMAGE_STL`
`JetBoolean` | `invisible`
`static java.lang.String` | `LABEL_STL`
`static java.lang.String` | `LINE_STL`
`JetEnumeration` | `location`
`static java.lang.String` | `MAP_STL`
`static java.lang.String` | `MAPDBFIELD_STL`
`static java.lang.String` | `MAPLABEL_STL`
`static java.lang.String` | `MEDIAFIELD_STL`
`JetNumber` | `objectIndex`
`static java.lang.String` | `OVALSHAPE_STL`
`static java.lang.String` | `PAGEFOOTERPANEL_STL`
`static java.lang.String` | `PAGEHEADERPANEL_STL`
`static java.lang.String` | `PARAMETERFIELD_STL`
`JetEnumeration` | `position`
`JetQualifyReference` | `refMode`
`static java.lang.String` | `ROUNDBOXSHAPE_STL`
`JetNumber` | `rowIndex`
`static java.lang.String` | `RPTFOOTERPANEL_STL`
`static java.lang.String` | `RPTHEADERPANEL_STL`
`JetNumber` | `rtfId`
`static java.lang.String` | `SECTIONFOOTER_STL`
`static java.lang.String` | `SECTIONHEADER_STL`
`static java.lang.String` | `SECTIONPAGEFOOTER_STL`
`static java.lang.String` | `SECTIONPAGEHEADER_STL`
`static java.lang.String` | `SPECIALFIELD_STL`
`JetStringList` | `style`
`static java.lang.String` | `SUBREPORT_STL`
`JetBoolean` | `suppressed` The property named "Suppressed".
`JetBoolean` | `suppressedIfNoRecords` The property named "Suppressed".
`static java.lang.String` | `TABLE_STL`
`static java.lang.String` | `TEXT_STL`
`JetUnitNumber` | `width`
`JetString` | `wstyleGrp`
`JetString` | `wstyleName`
`JetUnitNumber` | `x`
`JetUnitNumber` | `y`
`JetNumber` | `zOrder`

Constructor Summary
`JRObjectTemplate()` Creates a JetComponent object.

Method Summary
`boolean` | `canDoConditionalFormatting()`
`static int` | `convertSize(int pixel)`
`short` | `getBackgroundByType()`
`short` | `getBoldChangeByType()`
`short` | `getBottomLineChangeByType()`
`java.awt.Rectangle` | `getBound()` Get the bounds of the object.
`java.util.Vector` | `getChildren()`
`JetRptConditionalFormatList` | `getConditionalFormatList()`
`JetRptDataSet` | `getDataSet()`
`static int` | `getDefaultResolution()`
`short` | `getFontFaceChangeByType()`
`short` | `getFontSizeChangeByType()`
`short` | `getForegroundChangeByType()`
`java.util.HashMap` | `getIndecialMap()`
`java.lang.String` | `getInstName()`
`short` | `getItalicChangeByType()`
`JetRptMode` | `getJetRptMode()`
`short` | `getLeftLineChangeByType()`
`JetProperty` | `getLinkProperty()`
`java.awt.Point` | `getLocation()` Get the location of the object.
`int` | `getObjectType()` Get the object type
`JRObjectTemplate` | `getOwner()`
`Propertiable` | `getProperty(short propertyName)` Get property by property index.
`JetProperty` | `getProperty(java.lang.String name)`
`JetProperty` | `getPropertyByCFControlName(java.lang.String name)`
`Propertiable` | `getPropertyByName(java.lang.String propertyName)` Get property by property name.
`jet.util.HashVector` | `getPropGrpsDesc()`
`short` | `getRightLineChangeByType()`
`JetRptReport` | `getRptReport()`
`JetRptConditionalFormatList` | `getSavedTemporaryConditionalFormatList()`
`int` | `getTemplateIndex()`
`java.util.Vector` | `getTempSaveConditionalFormatInfoVectorForCrosstab()`
`short` | `getTopLineChangeByType()`
`java.lang.String` | `getUDOName()` If user derive his UDO object from this class, this method will return it name.
`short` | `getUnderlineChangeByType()`
`java.awt.Rectangle` | `getUnitBound()` Get the bounds of the object.
`boolean` | `hasConditionalFormat()`
`boolean` | `isGetPreferredSizeFromRender()` If user defined object(UDO) need get preferred size from JRObjecrRender, it should return true.
`boolean` | `isGroupListener()` If user defined object(UDO) need a group of data, it should return true.
`boolean` | `isLinkable()`
`boolean` | `isViewableObject()` If this object is viewable, return true;
`void` | `move(int x, int y)` Move the object to the specified location.
`void` | `reshape(int x, int y, int width, int height)` Move the object to the specified size.
`void` | `resize(java.awt.Dimension d)` Move the object to the specified size.
`void` | `resize(int w, int h)` Move the object to the specified size.
`void` | `saveTemporaryConditionalFormatList(JetRptConditionalFormatList cflist)`
`void` | `set(java.lang.String name, java.awt.Color val)`
`void` | `set(java.lang.String name, int t3)` For better performance, JReport Enterprise Server use primitive data type to replace JetProperty.
`void` | `set(java.lang.String name, java.lang.String t3)` For better performance, JReport Enterprise Server use primitive data type to replace JetProperty.
`void` | `setBackground(java.awt.Color c)`
`void` | `setBound(java.awt.Rectangle rect)`
`void` | `setConditionalFormatList(JetRptConditionalFormatList cfList)`
`static void` | `setDefaultResolution(int res)`
`void` | `setTemplateIndex(int idx)`
`void` | `setUDOName(java.lang.String name)` If user derive his UDO object from this class, UDOManager will set it name when load the UDO tamplate.
`java.awt.Dimension` | `size()` Get the size of the object.
`void` | `tempSaveConditionalFormatInfoVectorForCrosstab(java.util.Vector v)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FLOW_POSITION_STATIC

    public static final int FLOW_POSITION_STATIC

  Deprecated.

### FLOW_POSITION_RELATIVE

    public static final int FLOW_POSITION_RELATIVE

  Deprecated.

### FLOW_POSITION_ABSOLUTE

    public static final int FLOW_POSITION_ABSOLUTE

  Deprecated.

### FLOW_DISPLAY_BLOCK

    public static final int FLOW_DISPLAY_BLOCK

  Deprecated.

### FLOW_DISPLAY_INLINE

    public static final int FLOW_DISPLAY_INLINE

  Deprecated.

### FLOW_DISPLAY_NONE

    public static final int FLOW_DISPLAY_NONE

  Deprecated.

### FLOW_FLOAT_LEFT

    public static final int FLOW_FLOAT_LEFT

  Deprecated.

### FLOW_FLOAT_RIGHT

    public static final int FLOW_FLOAT_RIGHT

  Deprecated.

### FLOW_FLOAT_NONE

    public static final int FLOW_FLOAT_NONE

  Deprecated.

### FLOW_CLEAR_LEFT

    public static final int FLOW_CLEAR_LEFT

  Deprecated.

### FLOW_CLEAR_RIGHT

    public static final int FLOW_CLEAR_RIGHT

  Deprecated.

### FLOW_CLEAR_BOTH

    public static final int FLOW_CLEAR_BOTH

  Deprecated.

### FLOW_CLEAR_NONE

    public static final int FLOW_CLEAR_NONE

  Deprecated.

### FLOW_DIRECTION_LTR

    public static final int FLOW_DIRECTION_LTR

  Deprecated.

### FLOW_DIRECTION_RTL

    public static final int FLOW_DIRECTION_RTL

  Deprecated.

### FLOW_DIRECTION_TTB

    public static final int FLOW_DIRECTION_TTB

  Deprecated.

### FLOW_DIRECTION_BTT

    public static final int FLOW_DIRECTION_BTT

  Deprecated.

### CTTEXTFIELD_STL

    public static java.lang.String CTTEXTFIELD_STL

### CTAGGFIELD_STL

    public static java.lang.String CTAGGFIELD_STL

### CTDBFIELD_STL

    public static java.lang.String CTDBFIELD_STL

### DATAOBJHEADERPANEL_STL

    public static java.lang.String DATAOBJHEADERPANEL_STL

### RPTHEADERPANEL_STL

    public static java.lang.String RPTHEADERPANEL_STL

### DATAOBJFOOTERPANEL_STL

    public static java.lang.String DATAOBJFOOTERPANEL_STL

### RPTFOOTERPANEL_STL

    public static java.lang.String RPTFOOTERPANEL_STL

### DATAOBJGRPHEADERPANEL_STL

    public static java.lang.String DATAOBJGRPHEADERPANEL_STL

### GROUPHEADERPANEL_STL

    public static java.lang.String GROUPHEADERPANEL_STL

### DATAOBJGRPFOOTERPANEL_STL

    public static java.lang.String DATAOBJGRPFOOTERPANEL_STL

### GROUPFOOTERPANEL_STL

    public static java.lang.String GROUPFOOTERPANEL_STL

### DATAOBJDETAILPANEL_STL

    public static java.lang.String DATAOBJDETAILPANEL_STL

### DETAILPANEL_STL

    public static java.lang.String DETAILPANEL_STL

### ARCSHAPE_STL

    public static java.lang.String ARCSHAPE_STL

### BOX_STL

    public static java.lang.String BOX_STL

### LINE_STL

    public static java.lang.String LINE_STL

### OVALSHAPE_STL

    public static java.lang.String OVALSHAPE_STL

### ROUNDBOXSHAPE_STL

    public static java.lang.String ROUNDBOXSHAPE_STL

### LABEL_STL

    public static java.lang.String LABEL_STL

### DBFIELD_STL

    public static java.lang.String DBFIELD_STL

### MEDIAFIELD_STL

    public static java.lang.String MEDIAFIELD_STL

### IMAGE_STL

    public static java.lang.String IMAGE_STL

### TEXT_STL

    public static java.lang.String TEXT_STL

### CHARTPLATFORM_STL

    public static java.lang.String CHARTPLATFORM_STL

### DATAOBJECT_STL

    public static java.lang.String DATAOBJECT_STL

### SUBREPORT_STL

    public static java.lang.String SUBREPORT_STL

### CTCROSSTAB_STL

    public static java.lang.String CTCROSSTAB_STL

### PARAMETERFIELD_STL

    public static java.lang.String PARAMETERFIELD_STL

### SPECIALFIELD_STL

    public static java.lang.String SPECIALFIELD_STL

### TABLE_STL

    public static java.lang.String TABLE_STL

### COLUMN_STL

    public static java.lang.String COLUMN_STL

### MAP_STL

    public static java.lang.String MAP_STL

### MAPDBFIELD_STL

    public static java.lang.String MAPDBFIELD_STL

### MAPLABEL_STL

    public static java.lang.String MAPLABEL_STL

### PAGEHEADERPANEL_STL

    public static java.lang.String PAGEHEADERPANEL_STL

### PAGEFOOTERPANEL_STL

    public static java.lang.String PAGEFOOTERPANEL_STL

### SECTIONHEADER_STL

    public static java.lang.String SECTIONHEADER_STL

### SECTIONFOOTER_STL

    public static java.lang.String SECTIONFOOTER_STL

### SECTIONPAGEHEADER_STL

    public static java.lang.String SECTIONPAGEHEADER_STL

### SECTIONPAGEFOOTER_STL

    public static java.lang.String SECTIONPAGEFOOTER_STL

### x

    public JetUnitNumber x

### y

    public JetUnitNumber y

### width

    public JetUnitNumber width

### height

    public JetUnitNumber height

### invisible

    public JetBoolean invisible

### suppressed

    public JetBoolean suppressed

  The property named "Suppressed". If is true this object will be ignored by engine.

### suppressedIfNoRecords

    public JetBoolean suppressedIfNoRecords

  The property named "Suppressed". If is true this object will be ignored by engine.

### backColor

    public JetColor backColor

  The property named "Background" for background color.

### exportToCSV

    public JetBoolean exportToCSV

### exportToXLS

    public JetBoolean exportToXLS

### location

    public JetEnumeration location

### style

    public JetStringList style

### rtfId

    public JetNumber rtfId

### columnIndex

    public JetNumber columnIndex

### rowIndex

    public JetNumber rowIndex

### wstyleGrp

    public JetString wstyleGrp

### wstyleName

    public JetString wstyleName

### objectIndex

    public JetNumber objectIndex

### refMode

    public JetQualifyReference refMode

### position

    public JetEnumeration position

### display

    public JetEnumeration display

### Float

    public JetEnumeration Float

### clear

    public JetEnumeration clear

### zOrder

    public JetNumber zOrder

### id

    public JetString id

### Class

    public JetString Class

### externalCSSClassValue

    public JetString externalCSSClassValue

### exportToDHTML

    public JetBoolean exportToDHTML

Constructor Detail

### JRObjectTemplate

    public JRObjectTemplate()

  Creates a JetComponent object.

Method Detail

### getInstName

    public java.lang.String getInstName()

### setUDOName

    public final void setUDOName(java.lang.String name)

  If user derive his UDO object from this class, UDOManager will set it name when load the UDO tamplate.

### getUDOName

    public final java.lang.String getUDOName()

  If user derive his UDO object from this class, this method will return it name.

### isViewableObject

    public boolean isViewableObject()

  If this object is viewable, return true;

### getLocation

    public java.awt.Point getLocation()

  Get the location of the object.

  Returns:
    the left-top point.

### getBound

    public java.awt.Rectangle getBound()

  Get the bounds of the object.

### getUnitBound

    public java.awt.Rectangle getUnitBound()

  Get the bounds of the object.

  See Also:
    `toolkit.Unit`

### size

    public java.awt.Dimension size()

  Get the size of the object.

### move

    public void move(int x,
                     int y)

  Move the object to the specified location.

### resize

    public void resize(java.awt.Dimension d)

  Move the object to the specified size.

### resize

    public void resize(int w,
                       int h)

  Move the object to the specified size.

### reshape

    public void reshape(int x,
                        int y,
                        int width,
                        int height)

  Move the object to the specified size.

### setBound

    public void setBound(java.awt.Rectangle rect)

### setBackground

    public void setBackground(java.awt.Color c)

### getProperty

    public JetProperty getProperty(java.lang.String name)

### getOwner

    public JRObjectTemplate getOwner()

### getObjectType

    public int getObjectType()

  Get the object type

### getProperty

    public Propertiable getProperty(short propertyName)

  Get property by property index.

### getPropertyByName

    public Propertiable getPropertyByName(java.lang.String propertyName)

  Get property by property name.

### isGroupListener

    public boolean isGroupListener()

  If user defined object(UDO) need a group of data, it should return true. Default return false;

### isGetPreferredSizeFromRender

    public boolean isGetPreferredSizeFromRender()

  If user defined object(UDO) need get preferred size from JRObjecrRender, it should return true. Default return false;

### isLinkable

    public boolean isLinkable()

### getLinkProperty

    public JetProperty getLinkProperty()

### setTemplateIndex

    public final void setTemplateIndex(int idx)

### getTemplateIndex

    public final int getTemplateIndex()

### setDefaultResolution

    public static void setDefaultResolution(int res)

### convertSize

    public static int convertSize(int pixel)

### getChildren

    public java.util.Vector getChildren()

### set

    public void set(java.lang.String name,
                    int t3)

  For better performance, JReport Enterprise Server use primitive data type to replace JetProperty. So starting from JReport version 5, you cannot directly set the property values by set method of the property, such as x, y, width and height in JRObjectTemplate. You do need to maintain your UDO code accordingly. For example, your original code: width.set (100); should be modified to be: set ("width", 100)

### set

    public void set(java.lang.String name,
                    java.lang.String t3)

  For better performance, JReport Enterprise Server use primitive data type to replace JetProperty. So starting from JReport version 5, you cannot directly set the property values by set method of the property, such as x, y, width and height in JRObjectTemplate. You do need to maintain your UDO code accordingly. For example, your original code: width.set (100); should be modified to be: set ("width", 100)

### set

    public void set(java.lang.String name,
                    java.awt.Color val)

### getJetRptMode

    public JetRptMode getJetRptMode()

### getDefaultResolution

    public static int getDefaultResolution()

### getIndecialMap

    public java.util.HashMap getIndecialMap()

### getPropGrpsDesc

    public jet.util.HashVector getPropGrpsDesc()

### getConditionalFormatList

    public JetRptConditionalFormatList getConditionalFormatList()

### hasConditionalFormat

    public boolean hasConditionalFormat()

### setConditionalFormatList

    public void setConditionalFormatList(JetRptConditionalFormatList cfList)

### canDoConditionalFormatting

    public boolean canDoConditionalFormatting()

### getRptReport

    public JetRptReport getRptReport()

### getDataSet

    public JetRptDataSet getDataSet()

### saveTemporaryConditionalFormatList

    public void saveTemporaryConditionalFormatList(JetRptConditionalFormatList cflist)

### getSavedTemporaryConditionalFormatList

    public JetRptConditionalFormatList getSavedTemporaryConditionalFormatList()

### getPropertyByCFControlName

    public JetProperty getPropertyByCFControlName(java.lang.String name)

### getTopLineChangeByType

    public short getTopLineChangeByType()

### getBottomLineChangeByType

    public short getBottomLineChangeByType()

### getLeftLineChangeByType

    public short getLeftLineChangeByType()

### getRightLineChangeByType

    public short getRightLineChangeByType()

### getFontFaceChangeByType

    public short getFontFaceChangeByType()

### getFontSizeChangeByType

    public short getFontSizeChangeByType()

### getBoldChangeByType

    public short getBoldChangeByType()

### getItalicChangeByType

    public short getItalicChangeByType()

### getUnderlineChangeByType

    public short getUnderlineChangeByType()

### getForegroundChangeByType

    public short getForegroundChangeByType()

### getBackgroundByType

    public short getBackgroundByType()

### tempSaveConditionalFormatInfoVectorForCrosstab

    public void tempSaveConditionalFormatInfoVectorForCrosstab(java.util.Vector v)

### getTempSaveConditionalFormatInfoVectorForCrosstab

    public java.util.Vector getTempSaveConditionalFormatInfoVectorForCrosstab()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD